@charset "utf-8";

/*聚合背景-圆*/
.range-overlay {
    animation: dropdown .3s;
    position: absolute;
    background-color: #37a6a7;
    opacity: 0.9;
    color: #FFFFFF;
    padding: 2px 2px;
    line-height: 18px;
    white-space: nowrap;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 12px;
    width: 80px;
    height: 80px;
    border-radius: 50%;
}

.range-overlay span {
    color: #FFFFFF;
    text-align: center;
}

/*文本标注*/
.building-parent {
    position: absolute;
    animation: dropdown .3s;
    cursor: pointer;
    box-sizing: border-box;
    z-index: -7987780;
    background: #37a6a7;
    border: 2px solid #fff;
    color: #fff;
    height: 85px; /*文本标签高度*/
    min-width: 160px; /*文本标签宽度*/
    line-height: 34px;
    white-space: nowrap;
    font-size: 14px;
    opacity: 0.9;
    text-align: center;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 2px;
    user-select: none;
    left: 748px;
    top: 103px;
}

/*气泡三角*/
.building-parent::before {
    content: '';
    width: 0;
    height: 0;
    border: 15px solid;
    position: absolute;
    bottom: -30px;
    left: 65px;
    border-color: rgba(55, 166, 167, .9) transparent transparent;
}

.building-parent:hover {
    background-color: #093b7b; /*039596*/
}

.building-parent:hover::before {
    content: '';
    width: 0;
    height: 0;
    border: 15px solid;
    position: absolute;
    bottom: -30px;
    left: 65px;
    border-color: #093b7b transparent transparent;

}

/*文本标注*/
.lock-item {
    width: 100%;
    text-align: center;
    margin-top: -10px;
}

.lock-item > span {
    display: inline-block;
    width: 33.33%;
    font-weight: bold;
    font-size: 14px;
}

.lock-item > span:first-child {
    color: #ffd350;
}

.lock-item > span:nth-child(2) {
    color: #67fd75;
}

.lock-item > span:nth-child(3) {
    color: #c60a06;
}

.lock-name {
    font-size: 16px;
    color: #ffffff;
    font-weight: bold;
}
